const { defineConfig } = require('@vue/cli-service')
const webpack = require("webpack")

module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
	publicPath: './',
  configureWebpack: {
		plugins: [
			// 配置 jQuery 插件的参数
			new webpack.ProvidePlugin({
				$: 'jquery',
				jQuery: 'jquery',
				'window.jQuery': 'jquery',
				Popper: ['popper.js', 'default']
			})
		]
	},
	chainWebpack: config => {
    config.plugin('html')
    .tap(args => {
      args[0].title = "北斗天云";
      return args;
    })
  },
	devServer: {
		proxy: {
			'/cniyv': {
				target: 'http://192.168.1.98:8080/bdty-admin/',
				changeOrigin: true,
				pathRewrite: {
					'^/cniyv': ''
				}
			}
		}
	}
})
